---
updatedAt: 2026-08-19T09:26:01.000Z
agentTools:
  projectIndex: https://docs.clearstreet.io/studio/llms.txt
---

# Get trade

Get trade a trade by its unique trade ID.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Execution API",
    "description": "API for Studio's Execution Management System.",
    "version": "2.0.0"
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://api.clearstreet.io/studio/v2",
      "description": "Production environment"
    },
    {
      "url": "https://demo-api.clearstreet.io/studio/v2",
      "description": "Demo environment"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/accounts/{account_id}/orders": {
      "get": {
        "operationId": "listOrders",
        "summary": "List orders",
        "description": "List orders for a given account for the current trading day, filtered on the given query parameters.",
        "tags": [
          "Orders"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "account_id",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/BuyingPower/properties/account_id",
              "description": "The account ID or account number to list orders for."
            }
          },
          {
            "in": "query",
            "name": "from",
            "schema": {
              "description": "Milliseconds since epoch timestamp. This will constrain the search for orders created after this timestamp, inclusively. Timestamps for orders prior the current trading day will be ignored.",
              "type": "integer",
              "format": "int64",
              "minimum": 1710613560668,
              "maximum": 2900000000000
            }
          },
          {
            "in": "query",
            "name": "to",
            "schema": {
              "$ref": "#/paths/~1accounts~1{account_id}~1orders/get/parameters/1/schema",
              "description": "Milliseconds since epoch timestamp. This will constrain the search for orders created before this timestamp, inclusively. Timestamps for orders beyond the current trading day will be ignored."
            }
          },
          {
            "in": "query",
            "name": "page_size",
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 2000,
              "default": 25,
              "description": "Number of orders to return per page."
            }
          },
          {
            "in": "query",
            "name": "page_token",
            "schema": {
              "type": "string",
              "description": "Cursor for the page to return."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Order"
                      }
                    },
                    "next_page_token": {
                      "type": "string",
                      "description": "Cursor for the next page of results."
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              }
            }
          },
          "default": {
            "description": "Error response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "format": "uri",
                      "description": "A URI reference that identifies the problem type."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type."
                    },
                    "status": {
                      "type": "number",
                      "minimum": 100,
                      "maximum": 599,
                      "description": "The HTTP status code generated by the origin server for this occurrence of the problem."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "instance": {
                      "type": "string",
                      "format": "uri",
                      "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced."
                    }
                  },
                  "additionalProperties": false,
                  "description": "A Problem Details object (RFC 9457)"
                }
              }
            }
          }
        }
      }
    },
    "/accounts/{account_id}/trades/{trade_id}": {
      "get": {
        "operationId": "getTrade",
        "summary": "Get trade",
        "description": "Get trade a trade by its unique trade ID.",
        "tags": [
          "Trades"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "account_id",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/BuyingPower/properties/account_id",
              "description": "The account ID or account number to get the trade for."
            }
          },
          {
            "in": "path",
            "name": "trade_id",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/TradeId"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Trade"
                }
              }
            }
          },
          "default": {
            "$ref": "#/paths/~1accounts~1{account_id}~1orders/get/responses/default"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "OrderId": {
        "type": "string",
        "minLength": 1,
        "maxLength": 256,
        "example": "12390213",
        "description": "Unique order ID assigned by us."
      },
      "TradeId": {
        "type": "string",
        "minLength": 1,
        "maxLength": 256,
        "example": "12390213",
        "description": "Unique trade ID assigned by us."
      },
      "OrderSide": {
        "type": "string",
        "enum": [
          "buy",
          "sell",
          "sell-short"
        ],
        "description": "Buy, sell, sell-short indicator."
      },
      "CreateOrder": {
        "type": "object",
        "properties": {
          "reference_id": {
            "$ref": "#/components/schemas/ReferenceId"
          },
          "order_type": {
            "$ref": "#/components/schemas/OrderType"
          },
          "side": {
            "$ref": "#/components/schemas/OrderSide"
          },
          "quantity": {
            "$ref": "#/components/schemas/LocateInventory/properties/used",
            "description": "The maximum quantity to be executed."
          },
          "price": {
            "description": "The price to execute at-or-better for limit orders.",
            "type": "string",
            "minLength": 1,
            "maxLength": 16,
            "example": "123.99"
          },
          "stop_price": {
            "$ref": "#/components/schemas/CreateOrder/properties/price",
            "description": "The price at which stop orders become marketable."
          },
          "time_in_force": {
            "$ref": "#/components/schemas/TimeInForce"
          },
          "locate_broker": {
            "type": "string",
            "minLength": 1,
            "maxLength": 256,
            "description": "If you're short-selling and using an away broker for a locate, provide the broker name here."
          },
          "symbol": {
            "$ref": "#/components/schemas/LocateInventory/properties/symbol",
            "description": "The symbol this order is for. See `symbol_format` for supported symbol formats."
          },
          "symbol_format": {
            "$ref": "#/paths/~1accounts~1{account_id}~1orders/delete/parameters/2/schema",
            "default": "cms"
          },
          "strategy": {
            "$ref": "#/components/schemas/Strategy",
            "description": "The execution strategy to use for this order. If not provided, our smart order-router will handle execution for your order."
          },
          "open_close_indicator": {
            "$ref": "#/components/schemas/OpenCloseIndicator",
            "description": "Open/Close indicator for option orders."
          },
          "booking_type": {
            "$ref": "#/components/schemas/BookingType",
            "description": "How the trade should be booked. Required for international (non-US) equities (`symbol_format: composite`); must be omitted for US equities and options.\n"
          }
        },
        "required": [
          "order_type",
          "side",
          "quantity",
          "time_in_force",
          "symbol"
        ],
        "additionalProperties": false
      },
      "Trade": {
        "type": "object",
        "properties": {
          "created_at": {
            "$ref": "#/paths/~1accounts~1{account_id}~1orders/get/parameters/1/schema",
            "description": "When this trade happened in milliseconds since epoch."
          },
          "account_id": {
            "$ref": "#/components/schemas/BuyingPower/properties/account_id"
          },
          "account_number": {
            "$ref": "#/components/schemas/BuyingPower/properties/account_number"
          },
          "trade_id": {
            "$ref": "#/components/schemas/TradeId"
          },
          "order_id": {
            "$ref": "#/components/schemas/OrderId",
            "description": "The order ID of the order this trade occurred on."
          },
          "symbol": {
            "$ref": "#/components/schemas/LocateInventory/properties/symbol",
            "description": "The symbol this trade was for."
          },
          "side": {
            "$ref": "#/components/schemas/OrderSide",
            "description": "The side this trade occurred on."
          },
          "quantity": {
            "$ref": "#/components/schemas/LocateInventory/properties/used",
            "description": "The amount that was traded."
          },
          "price": {
            "$ref": "#/components/schemas/CreateOrder/properties/price",
            "description": "The traded price."
          },
          "running_position": {
            "$ref": "#/components/schemas/LocateInventory/properties/used",
            "description": "The position quantity at the time of this trade."
          }
        },
        "required": [
          "created_at",
          "trade_id",
          "order_id",
          "side",
          "quantity",
          "price",
          "running_position"
        ]
      },
      "BuyingPower": {
        "type": "object",
        "properties": {
          "account_id": {
            "type": "string",
            "minLength": 1,
            "maxLength": 256,
            "example": "100000",
            "description": "Account ID for the account."
          },
          "account_number": {
            "type": "string",
            "minLength": 1,
            "maxLength": 256,
            "example": "ACC0001",
            "description": "Account number for the account."
          },
          "amount": {
            "type": "number",
            "format": "double",
            "description": "The buying power available for this account."
          }
        },
        "required": [
          "account_id",
          "account_number",
          "buying_power"
        ]
      },
      "LocateInventory": {
        "type": "object",
        "properties": {
          "account_id": {
            "$ref": "#/components/schemas/BuyingPower/properties/account_id"
          },
          "account_number": {
            "$ref": "#/components/schemas/BuyingPower/properties/account_number"
          },
          "symbol": {
            "type": "string",
            "minLength": 1,
            "maxLength": 32,
            "example": "AAPL"
          },
          "available": {
            "$ref": "#/components/schemas/LocateInventory/properties/used"
          },
          "reserved": {
            "$ref": "#/components/schemas/LocateInventory/properties/used"
          },
          "used": {
            "type": "string",
            "minLength": 1,
            "maxLength": 16,
            "example": "100",
            "description": "String representation of quantity."
          }
        }
      }
    }
  },
  "externalDocs": {
    "url": "https://docs.clearstreet.io/"
  }
}
```